Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class AbsoluteOrderingTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.AbsoluteOrderingTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, AbsoluteOrderingType<T>

    public class AbsoluteOrderingTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, AbsoluteOrderingType<T>

This class implements the `absoluteOrderingType` xsd type

Original Documentation:

Please see section 8.2.2 of the specification for details.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`AbsoluteOrderingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`AbsoluteOrderingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getNameList()` Returns all `name` elements
`java.lang.Boolean` | `isOthers()`
`AbsoluteOrderingType<T>` | `others()`
`AbsoluteOrderingType<T>` | `removeAllName()` Removes the `name` element
`AbsoluteOrderingType<T>` | `setName(java.lang.String name)` Creates a new `name` element
`AbsoluteOrderingType<T>` | `setNameList(java.lang.String... values)` Creates for all String objects representing `name` elements, a new `name` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbsoluteOrderingTypeImpl

    public AbsoluteOrderingTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### AbsoluteOrderingTypeImpl

    public AbsoluteOrderingTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setName

    public AbsoluteOrderingType<T> setName(java.lang.String name)

  Creates a new `name` element

  Specified by:
    `setName` in interface `AbsoluteOrderingType<T>`
  Returns:
    the current instance of `AbsoluteOrderingType`

### setNameList

    public AbsoluteOrderingType<T> setNameList(java.lang.String... values)

  Creates for all String objects representing `name` elements, a new `name` element

  Specified by:
    `setNameList` in interface `AbsoluteOrderingType<T>`
  Parameters:
    `list` - of `name` objects
  Returns:
    the current instance of `AbsoluteOrderingType`

### removeAllName

    public AbsoluteOrderingType<T> removeAllName()

  Removes the `name` element

  Specified by:
    `removeAllName` in interface `AbsoluteOrderingType<T>`
  Returns:
    the current instance of `AbsoluteOrderingType`

### getNameList

    public java.util.List<java.lang.String> getNameList()

  Returns all `name` elements

  Specified by:
    `getNameList` in interface `AbsoluteOrderingType<T>`
  Returns:
    list of `name`

### others

    public AbsoluteOrderingType<T> others()

  Specified by:
    `others` in interface `AbsoluteOrderingType<T>`

### isOthers

    public java.lang.Boolean isOthers()

  Specified by:
    `isOthers` in interface `AbsoluteOrderingType<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD